## cmake-vala 1

=== debian/changelog ===
cmake-vala (1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #906856).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 20:11:12 +0200
