=== debian/control ===
Source: cmake-vala
Section: devel
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders:
 Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
 Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
Build-Depends: cmake,
               debhelper (>= 11),
Standards-Version: 4.2.0
Homepage: https://gitlib.com/vala-panel-project/cmake-vala
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-vala.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/cmake-vala

Package: cmake-vala
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cmake (>= 3.1),
Description: CMake utility modules needed for building Vala Panel (and related projects)
 CMake modules which are used for Vala Panel development.
 .
 Included CMake modules:
 .
   - various Find<PACKAGE> modules (e.g. BAMF, GTK+, PEAS, WNCK, X11)
   - various GLib helpers
   - various modules for Git based versioning
   - FindVala and ValaPrecompile modules
   - and others
