## cmake-vala 3

=== debian/changelog ===
cmake-vala (3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:40:41 +0200
