=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
 Build-Depends: cmake,
                debhelper (>= 11),
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://gitlib.com/vala-panel-project/cmake-vala
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-vala.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/cmake-vala
