=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/cmake-vala-r?([\d\.-]+)\.tar\.gz/cmake-vala-$1.tar.gz/ \
https://gitlab.com/vala-panel-project/cmake-vala/tags .*/archive/.*/cmake-vala-r?([\d\.]+)\.tar\.gz
